Skip to main content
POST
Configure Annotation Reply

Authorizations

Authorization
string
header
required

API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer. Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences. Requests with a missing or invalid API key fail with HTTP 401 and error code unauthorized.

Path Parameters

action
enum<string>
required

Action to perform.

Available options:
enable,
disable

Body

application/json

Request body for configuring annotation reply settings.

embedding_provider_name
string
required

Name of the embedding model provider (e.g., openai, cohere).

embedding_model_name
string
required

Name of the embedding model to use for annotation matching (e.g., text-embedding-3-small).

score_threshold
number<float>
required

Minimum similarity score for an annotation to be considered a match. Higher values require closer matches.

Response

200 - application/json

Annotation reply settings task initiated.

job_id
string<uuid>

Asynchronous job ID. Use with Get Annotation Reply Job Status to track progress.

job_status
string

Current job status: waiting (queued) or processing (in progress). completed and error are returned only by Get Annotation Reply Job Status.

Last modified on July 9, 2026